Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.util
Class CollectionsUtils.ConstMap<T,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<T,V>
                  org.richfaces.util.CollectionsUtils.ConstMap<T,V>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<T,V>

Enclosing class:
  CollectionsUtils

    public static class CollectionsUtils.ConstMap<T,V>

extends java.util.LinkedHashMap<T,V>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`CollectionsUtils.ConstMap()`

Method Summary
`CollectionsUtils.ConstMap<T,V>` | `add(T key, V value)`
`java.util.Map<T,V>` | `fix()`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get, removeEldestEntry`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### CollectionsUtils.ConstMap

    public CollectionsUtils.ConstMap()

Method Detail

### add

    public CollectionsUtils.ConstMap<T,V> add(T key,
                                              V value)

### fix

    public java.util.Map<T,V> fix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.